# Datadog Agent Dev

| | |
| --- | --- |
| CI/CD | [![CI - Test](https://github.com/DataDog/datadog-agent-dev/actions/workflows/test.yml/badge.svg){ loading=lazy .off-glb }](https://github.com/DataDog/datadog-agent-dev/actions/workflows/test.yml) [![CD - Build Hatch](https://github.com/DataDog/datadog-agent-dev/actions/workflows/build.yml/badge.svg){ loading=lazy .off-glb }](https://github.com/DataDog/datadog-agent-dev/actions/workflows/build.yml) |
| Docs | [![CI - Docs](https://github.com/DataDog/datadog-agent-dev/actions/workflows/docs.yml/badge.svg){ loading=lazy .off-glb }](https://github.com/DataDog/datadog-agent-dev/actions/workflows/docs.yml) |
| Package | [![PyPI - Version](https://img.shields.io/pypi/v/dda.svg?logo=pypi&label=PyPI&logoColor=gold){ loading=lazy .off-glb }](https://pypi.org/project/dda/) [![PyPI - Downloads](https://img.shields.io/pypi/dm/dda.svg?color=blue&label=Downloads&logo=pypi&logoColor=gold){ loading=lazy .off-glb }](https://pypi.org/project/dda/) [![PyPI - Python Version](https://img.shields.io/pypi/pyversions/dda.svg?logo=python&label=Python&logoColor=gold){ loading=lazy .off-glb }](https://pypi.org/project/dda/) |
| Meta | [![Hatch project](https://img.shields.io/badge/%F0%9F%A5%9A-Hatch-4051b5.svg){ loading=lazy .off-glb }](https://github.com/ofek/dep-sync) [![linting - Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/ruff/main/assets/badge/v2.json){ loading=lazy .off-glb }](https://github.com/astral-sh/ruff) [![types - Mypy](https://img.shields.io/badge/types-Mypy-blue.svg){ loading=lazy .off-glb }](https://github.com/python/mypy) [![License - MIT](https://img.shields.io/badge/license-MIT-9400d3.svg){ loading=lazy .off-glb }](https://spdx.org/licenses/) |

-----

Welcome to the Datadog Agent developer tools documentation. Here you'll find:

- Development environment setup guides
- IDE and editor integrations
- Build and testing tools
- Development workflow utilities

This repository documents the development environment and toolchain for Datadog Agent contributors. You'll find resources for IDE setup, build tools, and development utilities rather than Agent implementation details.

## Navigation

Desktop readers can use keyboard shortcuts to navigate.

| Keys | Action |
| --- | --- |
| <ul><li><kbd>,</kbd> (comma)</li><li><kbd>p</kbd></li></ul> | Navigate to the "previous" page |
| <ul><li><kbd>.</kbd> (period)</li><li><kbd>n</kbd></li></ul> | Navigate to the "next" page |
| <ul><li><kbd>/</kbd></li><li><kbd>s</kbd></li></ul> | Display the search modal |
